diff -Nur linux-2.6.9-intc1/drivers/net/irda/pxa_ir.c linux-2.6.9-intc1-mih1/drivers/net/irda/pxa_ir.c
--- linux-2.6.9-intc1/drivers/net/irda/pxa_ir.c	2005-05-02 15:16:11.000000000 -0400
+++ linux-2.6.9-intc1-mih1/drivers/net/irda/pxa_ir.c	2005-02-26 15:04:03.000000000 -0500
@@ -39,10 +39,9 @@
 #include <asm/mach-types.h>
 #include <asm/arch/pxa-regs.h>
 #include <asm/arch/lubbock.h>
-#include <asm/arch/mainstone.h>
-
 
 #ifdef CONFIG_MACH_MAINSTONE
+#include <asm/arch/mainstone.h>
 /* If you use Bulverde, you can unremark following definition to enable LED for debug purpose */
 /* #define DEBUG_LED_ON  */
 #define DEBUG_LED_ON
@@ -157,6 +156,7 @@
 	}
 
 	if (machine_is_mainstone()) {
+#ifdef CONFIG_MACH_MAINSTONE
 		if (irda_mode == BOARD_IRDA_SIR) {
 
 			/* select SIR on Mainstone */
@@ -166,6 +166,7 @@
 			/* select FIR on Mainstone */
 			MST_MSCWR1 |= (1 << 4);
 		}
+#endif
 	}
 }
 
@@ -790,8 +791,9 @@
 	CKEN &= ~CKEN13_FICP;
 	board_irda_select(BOARD_IRDA_SIR);
 	if (machine_is_mainstone())
+#ifdef CONFIG_MACH_MAINSTONE
 		MST_MSCWR1 &= ~(3 << 4);
-
+#endif
 	/* configure GPIO46/47 */
 	pxa_gpio_mode(GPIO46_STRXD_MD);
 	pxa_gpio_mode(GPIO47_STTXD_MD);
diff -Nur linux-2.6.9-intc1/drivers/net/pcmcia/pcnet_cs.c linux-2.6.9-intc1-mih1/drivers/net/pcmcia/pcnet_cs.c
--- linux-2.6.9-intc1/drivers/net/pcmcia/pcnet_cs.c	2004-10-18 17:54:55.000000000 -0400
+++ linux-2.6.9-intc1-mih1/drivers/net/pcmcia/pcnet_cs.c	2005-02-21 15:02:29.000000000 -0500
@@ -818,6 +818,7 @@
 	link->state |= DEV_SUSPEND;
 	/* Fall through... */
     case CS_EVENT_RESET_PHYSICAL:
+	disable_irq(dev->irq);
 	if (link->state & DEV_CONFIG) {
 	    if (link->open)
 		netif_device_detach(dev);
@@ -828,6 +829,7 @@
 	link->state &= ~DEV_SUSPEND;
 	/* Fall through... */
     case CS_EVENT_CARD_RESET:
+	enable_irq(dev->irq);
 	if (link->state & DEV_CONFIG) {
 	    pcmcia_request_configuration(link->handle, &link->conf);
 	    if (link->open) {
diff -Nur linux-2.6.9-intc1/drivers/net/wireless/hostap_80211.h linux-2.6.9-intc1-mih1/drivers/net/wireless/hostap_80211.h
--- linux-2.6.9-intc1/drivers/net/wireless/hostap_80211.h	1969-12-31 19:00:00.000000000 -0500
+++ linux-2.6.9-intc1-mih1/drivers/net/wireless/hostap_80211.h	2003-11-11 00:47:22.000000000 -0500
@@ -0,0 +1,107 @@
+#ifndef HOSTAP_80211_H
+#define HOSTAP_80211_H
+
+struct hostap_ieee80211_hdr {
+	u16 frame_control;
+	u16 duration_id;
+	u8 addr1[6];
+	u8 addr2[6];
+	u8 addr3[6];
+	u16 seq_ctrl;
+	u8 addr4[6];
+} __attribute__ ((packed));
+
+
+struct hostap_ieee80211_mgmt {
+	u16 frame_control;
+	u16 duration;
+	u8 da[6];
+	u8 sa[6];
+	u8 bssid[6];
+	u16 seq_ctrl;
+	union {
+		struct {
+			u16 auth_alg;
+			u16 auth_transaction;
+			u16 status_code;
+			/* possibly followed by Challenge text */
+			u8 variable[0];
+		} __attribute__ ((packed)) auth;
+		struct {
+			u16 reason_code;
+		} __attribute__ ((packed)) deauth;
+		struct {
+			u16 capab_info;
+			u16 listen_interval;
+			/* followed by SSID and Supported rates */
+			u8 variable[0];
+		} __attribute__ ((packed)) assoc_req;
+		struct {
+			u16 capab_info;
+			u16 status_code;
+			u16 aid;
+			/* followed by Supported rates */
+			u8 variable[0];
+		} __attribute__ ((packed)) assoc_resp, reassoc_resp;
+		struct {
+			u16 capab_info;
+			u16 listen_interval;
+			u8 current_ap[6];
+			/* followed by SSID and Supported rates */
+			u8 variable[0];
+		} __attribute__ ((packed)) reassoc_req;
+		struct {
+			u16 reason_code;
+		} __attribute__ ((packed)) disassoc;
+		struct {
+		} __attribute__ ((packed)) probe_req;
+		struct {
+			u8 timestamp[8];
+			u16 beacon_int;
+			u16 capab_info;
+			/* followed by some of SSID, Supported rates,
+			 * FH Params, DS Params, CF Params, IBSS Params, TIM */
+			u8 variable[0];
+		} __attribute__ ((packed)) beacon, probe_resp;
+	} u;
+} __attribute__ ((packed));
+
+
+#define IEEE80211_MGMT_HDR_LEN 24
+#define IEEE80211_DATA_HDR3_LEN 24
+#define IEEE80211_DATA_HDR4_LEN 30
+
+
+struct hostap_80211_rx_status {
+	u32 mac_time;
+	u8 signal;
+	u8 noise;
+	u16 rate; /* in 100 kbps */
+};
+
+
+void hostap_80211_rx(struct net_device *dev, struct sk_buff *skb,
+		     struct hostap_80211_rx_status *rx_stats);
+
+
+/* prism2_rx_80211 'type' argument */
+enum {
+	PRISM2_RX_MONITOR, PRISM2_RX_MGMT, PRISM2_RX_NON_ASSOC,
+	PRISM2_RX_NULLFUNC_ACK
+};
+
+int prism2_rx_80211(struct net_device *dev, struct sk_buff *skb,
+		    struct hostap_80211_rx_status *rx_stats, int type);
+void hostap_80211_rx(struct net_device *dev, struct sk_buff *skb,
+		     struct hostap_80211_rx_status *rx_stats);
+void hostap_dump_rx_80211(const char *name, struct sk_buff *skb,
+			  struct hostap_80211_rx_status *rx_stats);
+
+void hostap_dump_tx_80211(const char *name, struct sk_buff *skb);
+int hostap_data_start_xmit(struct sk_buff *skb, struct net_device *dev);
+int hostap_mgmt_start_xmit(struct sk_buff *skb, struct net_device *dev);
+struct sk_buff * hostap_tx_encrypt(struct sk_buff *skb,
+				   struct prism2_crypt_data *crypt);
+int hostap_master_start_xmit(struct sk_buff *skb, struct net_device *dev);
+
+#endif /* HOSTAP_80211_H */
